classification
Title: Help button on preference window doesn't work
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: Guilherme.Simões, Todd.Rovito, python-dev, roger.serwy, terry.reedy
Priority: normal Keywords: patch

Created on 2013-04-13 18:07 by Guilherme.Simões, last changed 2014-01-27 03:43 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
Issue17721.patch Guilherme.Simões, 2013-04-26 12:38 review
Issue17721-1.patch Guilherme.Simões, 2013-04-30 09:31 review
Messages (9)
msg186775 - (view) Author: Guilherme Simões (Guilherme.Simões) * Date: 2013-04-13 18:07
The Help button on the Preferences windows does not do anything. Maybe I can fix it, but I don't know what it was supposed to do in the first place. For now it probably should be removed.
msg187223 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2013-04-18 05:25
This falls under annoyance #11 from issue13504. I'll cross-reference it there.
msg187843 - (view) Author: Guilherme Simões (Guilherme.Simões) * Date: 2013-04-26 12:38
Attached is a patch that removes the Help button from the Preferences window.

Maybe it would be nice to have the Help button open a text file describing every possible option, but while this doesn't happen it is better to remove this button.
msg187923 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-04-27 18:47
Perhaps we should merely comment out the two blocks of text until we decide we don't ever want a help button. If the expanded doc in progress had a marked helpful doc on configure, the help button could open the doc to that section.

Guilherme, have you submitted a PSF Contributor License Agreement?
http://www.python.org/psf/contrib/contrib-form/
(Sorry if this a repeat question.)
msg188146 - (view) Author: Guilherme Simões (Guilherme.Simões) * Date: 2013-04-30 09:31
Hi, Terry!

I already signed the Contributor License Agreement Form.

Attached is a new patch with the buttons commented out and a small comment explaining why I did that. I hope the patch is better now.
msg188158 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2013-04-30 13:00
LGTM.
msg193023 - (view) Author: Todd Rovito (Todd.Rovito) * Date: 2013-07-14 04:03
This patch LGTM as well.  I think it should be committed ASAP because the button clearly doesn't work as it is programmed now.
msg209381 - (view) Author: Roundup Robot (python-dev) Date: 2014-01-27 03:28
New changeset 3d343dfe6269 by Terry Jan Reedy in branch '2.7':
Issue #17721: Remove non-functional configuration dialog help button until we
http://hg.python.org/cpython/rev/3d343dfe6269

New changeset 6e4b94019eae by Terry Jan Reedy in branch '3.3':
Issue #17721: Remove non-functional configuration dialog help button until we
http://hg.python.org/cpython/rev/6e4b94019eae

New changeset be9843012124 by Terry Jan Reedy in branch 'default':
Issue #17721: Remove non-functional configuration dialog help button until we
http://hg.python.org/cpython/rev/be9843012124
msg209384 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-01-27 03:42
#20403 is about making Help work and putting the button back.
History
Date User Action Args
2014-01-27 03:43:15terry.reedysetstatus: open -> closed
assignee: terry.reedy
resolution: fixed
stage: commit review -> resolved
2014-01-27 03:42:56terry.reedysetmessages: + msg209384
2014-01-27 03:28:01python-devsetnosy: + python-dev
messages: + msg209381
2013-07-14 04:03:45Todd.Rovitosetmessages: + msg193023
2013-04-30 13:00:21roger.serwysetmessages: + msg188158
stage: commit review
2013-04-30 09:31:10Guilherme.Simõessetfiles: + Issue17721-1.patch

messages: + msg188146
2013-04-27 18:47:06terry.reedysetmessages: + msg187923
2013-04-26 14:30:10roger.serwysetnosy: + terry.reedy
2013-04-26 12:38:49Guilherme.Simõessetfiles: + Issue17721.patch
keywords: + patch
messages: + msg187843
2013-04-18 05:26:42roger.serwylinkissue13504 dependencies
2013-04-18 05:25:01roger.serwysetnosy: + roger.serwy
messages: + msg187223
2013-04-18 03:09:09Todd.Rovitosetnosy: + Todd.Rovito
2013-04-13 18:07:59Guilherme.Simõescreate